<script setup lang="ts">
import DialogDelete from './DialogDelete.vue';
import DialogEdit from './DialogEdit.vue';
import { useMemberStore } from '@/stores/member';
import { ref } from 'vue';

const memberStore = useMemberStore()

const headers = [
  {
    key: 'id',
    sortable: false,
    title: 'MemberId',
  },
  { key: 'name', title: 'Name' },
  { key: 'tel', title: 'Tel' },
  { key: 'point', title: 'point' },
  { title: 'Actions', key: 'actions', sortable: false },
]
</script>
<template>
  <v-data-table :headers="headers" :items="memberStore.members" :search="memberStore.search" :items-per-page="8"
    style="background-color: #E7D0B9;">

    <template v-slot:[`item.actions`]="{ item }">
      <v-icon size="small" class="me-2" @click="memberStore.editMember(item)">
        mdi-pencil
      </v-icon>
      <v-icon size="small" @click="memberStore.openDialogDelete(item)">
        mdi-delete
      </v-icon>
    </template>
  </v-data-table>
  <DialogDelete></DialogDelete>
  <DialogEdit></DialogEdit>
</template>
<style scoped>
tbody tr:nth-of-type(even) {
  background-color: #D2BAA0;
}

tbody tr:nth-of-type(odd) {
  background-color: #E7D0B9;
}

thead {
  background-color: #BC9B6B;
  color: rgb(0, 0, 0);
  font-weight: bold;
}


.theme--light.v-data-table thead tr th {
  color: white;
}
</style>